com.independentsoft.exchange

## Class PersonaPostalAddress

- java.lang.Object
- - com.independentsoft.exchange.PersonaPostalAddress

-     public class PersonaPostalAddress
      extends java.lang.Object

  Specifies a postal address.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonaPostalAddress()` Instantiates a new persona postal address.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAccuracy()` Gets the accuracy of the latitude and longitude of the associated postal address.
    `double` | `getAltitude()` Gets the altitude of the associated postal address.
    `double` | `getAltitudeAccuracy()` Gets the accuracy of the altitude of the associated postal address.
    `java.lang.String` | `getCity()` Gets the city portion of a postal address.
    `java.lang.String` | `getCountry()` Gets the country portion of a postal address.
    `java.lang.String` | `getFormattedAddress()` Gets the formatted display value of the associated postal address.
    `double` | `getLatitude()` Gets the latitude of the location of the associated postal address.
    `LocationSource` | `getLocationSource()` Gets information about the origin of the associated postal address; for example, a contact or a telephone book.
    `java.lang.String` | `getLocationUri()` Gets a URI, for example for an Internet address, of the associated postal address.
    `double` | `getLongitude()` Gets the longitude of the location of the associated postal address.
    `java.lang.String` | `getPostalCode()` Gets the postal code portion of a postal address.
    `java.lang.String` | `getPostOfficeBox()` Gets the post office box portion of a postal address.
    `java.lang.String` | `getState()` Gets the state portion of a postal address.
    `java.lang.String` | `getStreet()` Gets the street portion of a postal address.
    `java.lang.String` | `getType()` Gets the type of postal address; for example, Home or Business.
    `void` | `setAccuracy(double accuracy)` Sets the accuracy of the latitude and longitude of the associated postal address.
    `void` | `setAltitude(double altitude)` Sets the altitude of the associated postal address.
    `void` | `setAltitudeAccuracy(double altitudeAccuracy)` Sets the accuracy of the altitude of the associated postal address.
    `void` | `setCity(java.lang.String city)` Sets the city portion of a postal address.
    `void` | `setCountry(java.lang.String country)` Sets the country portion of a postal address.
    `void` | `setFormattedAddress(java.lang.String formattedAddress)` Sets the formatted display value of the associated postal address.
    `void` | `setLatitude(double latitude)` Sets the latitude of the location of the associated postal address.
    `void` | `setLocationSource(LocationSource locationSource)` Sets information about the origin of the associated postal address; for example, a contact or a telephone book.
    `void` | `setLocationUri(java.lang.String locationUri)` Sets a URI, for example for an Internet address, of the associated postal address.
    `void` | `setLongitude(double longitude)` Sets the longitude of the location of the associated postal address.
    `void` | `setPostalCode(java.lang.String postalCode)` Sets the postal code portion of a postal address.
    `void` | `setPostOfficeBox(java.lang.String postOfficeBox)` Sets the post office box portion of a postal address.
    `void` | `setState(java.lang.String state)` Sets the state portion of a postal address.
    `void` | `setStreet(java.lang.String street)` Sets the street portion of a postal address.
    `void` | `setType(java.lang.String type)` Sets the type of postal address; for example, Home or Business.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonaPostalAddress

          public PersonaPostalAddress()

      Instantiates a new persona postal address.

  - ### Method Detail

    - #### getStreet

          public java.lang.String getStreet()

      Gets the street portion of a postal address.
      Returns:
        the street

    - #### setStreet

          public void setStreet(java.lang.String street)

      Sets the street portion of a postal address.
      Parameters:
        `street` - the new street

    - #### getCity

          public java.lang.String getCity()

      Gets the city portion of a postal address.
      Returns:
        the city

    - #### setCity

          public void setCity(java.lang.String city)

      Sets the city portion of a postal address.
      Parameters:
        `city` - the new city

    - #### getState

          public java.lang.String getState()

      Gets the state portion of a postal address.
      Returns:
        the state

    - #### setState

          public void setState(java.lang.String state)

      Sets the state portion of a postal address.
      Parameters:
        `state` - the new state

    - #### getCountry

          public java.lang.String getCountry()

      Gets the country portion of a postal address.
      Returns:
        the country

    - #### setCountry

          public void setCountry(java.lang.String country)

      Sets the country portion of a postal address.
      Parameters:
        `country` - the new country

    - #### getPostalCode

          public java.lang.String getPostalCode()

      Gets the postal code portion of a postal address.
      Returns:
        the postal code

    - #### setPostalCode

          public void setPostalCode(java.lang.String postalCode)

      Sets the postal code portion of a postal address.
      Parameters:
        `postalCode` - the new postal code

    - #### getPostOfficeBox

          public java.lang.String getPostOfficeBox()

      Gets the post office box portion of a postal address.
      Returns:
        the post office box

    - #### setPostOfficeBox

          public void setPostOfficeBox(java.lang.String postOfficeBox)

      Sets the post office box portion of a postal address.
      Parameters:
        `postOfficeBox` - the new post office box

    - #### getType

          public java.lang.String getType()

      Gets the type of postal address; for example, Home or Business.
      Returns:
        the type

    - #### setType

          public void setType(java.lang.String type)

      Sets the type of postal address; for example, Home or Business.
      Parameters:
        `type` - the new type

    - #### getLatitude

          public double getLatitude()

      Gets the latitude of the location of the associated postal address.
      Returns:
        the latitude

    - #### setLatitude

          public void setLatitude(double latitude)

      Sets the latitude of the location of the associated postal address.
      Parameters:
        `latitude` - the new latitude

    - #### getLongitude

          public double getLongitude()

      Gets the longitude of the location of the associated postal address.
      Returns:
        the longitude

    - #### setLongitude

          public void setLongitude(double longitude)

      Sets the longitude of the location of the associated postal address.
      Parameters:
        `longitude` - the new longitude

    - #### getAccuracy

          public double getAccuracy()

      Gets the accuracy of the latitude and longitude of the associated postal address.
      Returns:
        the accuracy

    - #### setAccuracy

          public void setAccuracy(double accuracy)

      Sets the accuracy of the latitude and longitude of the associated postal address.
      Parameters:
        `accuracy` - the new accuracy

    - #### getAltitude

          public double getAltitude()

      Gets the altitude of the associated postal address.
      Returns:
        the altitude

    - #### setAltitude

          public void setAltitude(double altitude)

      Sets the altitude of the associated postal address.
      Parameters:
        `altitude` - the new altitude

    - #### getAltitudeAccuracy

          public double getAltitudeAccuracy()

      Gets the accuracy of the altitude of the associated postal address.
      Returns:
        the altitude accuracy

    - #### setAltitudeAccuracy

          public void setAltitudeAccuracy(double altitudeAccuracy)

      Sets the accuracy of the altitude of the associated postal address.
      Parameters:
        `altitudeAccuracy` - the new altitude accuracy

    - #### getFormattedAddress

          public java.lang.String getFormattedAddress()

      Gets the formatted display value of the associated postal address.
      Returns:
        the formatted address

    - #### setFormattedAddress

          public void setFormattedAddress(java.lang.String formattedAddress)

      Sets the formatted display value of the associated postal address.
      Parameters:
        `formattedAddress` - the new formatted address

    - #### getLocationUri

          public java.lang.String getLocationUri()

      Gets a URI, for example for an Internet address, of the associated postal address.
      Returns:
        the location uri

    - #### setLocationUri

          public void setLocationUri(java.lang.String locationUri)

      Sets a URI, for example for an Internet address, of the associated postal address.
      Parameters:
        `locationUri` - the new location uri

    - #### getLocationSource

          public LocationSource getLocationSource()

      Gets information about the origin of the associated postal address; for example, a contact or a telephone book.
      Returns:
        the location source

    - #### setLocationSource

          public void setLocationSource(LocationSource locationSource)

      Sets information about the origin of the associated postal address; for example, a contact or a telephone book.
      Parameters:
        `locationSource` - the new location source